!c99Shell v. 1.0 pre-release build #16!

Software: Apache/2.2.3 (CentOS). PHP/5.1.6 

uname -a: Linux mx-ll-110-164-51-230.static.3bb.co.th 2.6.18-194.el5PAE #1 SMP Fri Apr 2 15:37:44
EDT 2010 i686
 

uid=48(apache) gid=48(apache) groups=48(apache) 

Safe-mode: OFF (not secure)

/usr/bin/   drwxr-xr-x
Free 52.29 GB of 127.8 GB (40.92%)
Home    Back    Forward    UPDIR    Refresh    Search    Buffer    Encoder    Tools    Proc.    FTP brute    Sec.    SQL    PHP-code    Update    Feedback    Self remove    Logout    


Viewing file:     build-classpath (1.5 KB)      -rwxr-xr-x
Select action/file-type:
(+) | (+) | (+) | Code (+) | Session (+) | (+) | SDB (+) | (+) | (+) | (+) | (+) | (+) |
#!/bin/sh # # Small script to build a classpath depending on the JVM used # # JPackage Project # # $Id: build-classpath,v 1.2 2005/09/17 07:06:19 david Exp $ # Import java functions [ -r /usr/share/java-utils/java-functions ] \ && . /usr/share/java-utils/java-functions || exit 1 # Prints help message usage() { /bin/cat >&2 << EOF_USAGE Usage: $0 [ .. ] jarX: name of a jar Example: jndi EOF_USAGE exit 2 } [ "$#" -eq "0" ] && usage set_javacmd || exit 3 check_java_env || exit 4 set_jvm_dirs || exit 5 _ALLFOUND="true" for extension in "$@" ; do unset _JARS extension=$(find_jar $extension) if [ "$?" = 0 ] ; then if [ -d "$extension" ] ; then # Brute-force approach. If we can't specify a single jar, we can as # well take everything in the directory # This may create duplicates if symlinks point back inside the # directory structure, but who cares _JARS=$(find "$extension" -follow -name "*.jar" -xtype f -printf %p: 2>/dev/null) else _JARS=$extension: fi _CLASSPATH=$_CLASSPATH$_JARS else # Defer failure to get list of all errors in one shot _ALLFOUND="false" fi done # Cleanup trailing : _CLASSPATH="$(echo $_CLASSPATH | sed 's+:$++g')" # Echo classpath whether it's complete or not # Apps that do not care about a full classpath can redirect errors to /dev/null echo "$_CLASSPATH" if [ "$_ALLFOUND" = "true" ] ; then exit 0 else echo "$0: error: Some specified jars were not found" >&2 exit 6 fi

:: Command execute ::

Enter:
 
Select:
 

:: Shadow's tricks :D ::

Useful Commands
 
Warning. Kernel may be alerted using higher levels
Kernel Info:

:: Preddy's tricks :D ::

Php Safe-Mode Bypass (Read Files)

File:

eg: /etc/passwd

Php Safe-Mode Bypass (List Directories):

Dir:

eg: /etc/

:: Search ::
  - regexp 

:: Upload ::
 
[ Read-Only ]

:: Make Dir ::
 
[ Read-Only ]
:: Make File ::
 
[ Read-Only ]

:: Go Dir ::
 
:: Go File ::
 

--[ c999shell v. 1.0 pre-release build #16 Modded by Shadow & Preddy | RootShell Security Group | r57 c99 shell | Generation time: 0.0049 ]--